Bug 179904 - Review Request: icecast
Review Request: icecast
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-03 14:49 EST by Andreas Thienemann
Modified: 2014-12-04 16:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 02:34:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-02-03 14:49:51 EST
Spec Name or Url: http://helena.bawue.de/~ixs/icecast/icecast.spec
SRPM Name or Url: http://helena.bawue.de/~ixs/icecast/icecast-2.3.1-1.src.rpm
Description: 
Icecast is a streaming media server which currently supports Ogg Vorbis
and MP3 audio streams. It can be used to create an Internet radio
station or a privately running jukebox and many things in between.
Comment 1 Matt Domsch 2006-02-03 15:01:53 EST
Do you plan to package ices also?  I went down this path in November,
using the copy of icecast in the mf repository, and building new ices,
which needed new libshout (older libshout was in FC4 Extras
already).  There was concensus that upgrading libshout for FC4 wasn't
a viable option, so it was either wait for FC5, or do a libshout21
package for FC4 that didn't conflict with libshout.  And that's where
I stopped...

http://domsch.com/linux/fedora/extras/
had my packages for ices and libshout, if you're interested.

Thanks,
Matt
Comment 2 Andreas Thienemann 2006-02-03 17:00:50 EST
I do have a local ices package. That could be cleaned up and included in extras.
However, if libshout is too old, we should probably skip that, and just wait for
FC5, which should be round to corner.
Comment 3 Brandon Holbrook 2006-02-14 15:16:19 EST
I have submitted a bug requesting libshout be updated in devel for FE5, bugID
181523.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=181523
Comment 4 Brandon Holbrook 2006-02-15 23:56:48 EST
[[ This review is only for icecast.  ices will be considered later pending the
upgrade of libshout to 2.x ]]

I assume you know why you specified:
BuildRequires: automake16
...but it's not obvious

Now onto the checklist...

rpmlint's only complaint:
W: icecast strange-permission icecast.init 0755

But init scripts need to be executable, so rpmlint is retarded

naming guidelines: OK
name matches base package: OK
specfile matches base package: OK
packaging guidelines: OK
GPL License: OK
COPYING file matches (and included in %doc): OK
legible: OK
md5: OK
  2d80a249fa8529f82d018c6216108ea8  SOURCES/icecast-2.3.1.tar.gz
  2d80a249fa8529f82d018c6216108ea8  icecast-2.3.1.tar.gz
successful build:
  i386=OK
  ppc=OK
  x64=UNKNOWN ( Nothing to try it on :-/ )
BuildRequires: OK
ownership/permissions: OK
no duplicate %files: OK
%clean: OK
consistent macros: OK

IMO, APPROVED!
Comment 5 Andreas Thienemann 2006-02-16 02:34:06 EST
Thanks for the review.

I removed the Require for automake16. That was needed back when the package had
to be built from CVS, as no release existed and automake had to run first. At
that time, automake 1.6 was needed to successfully create the autoconf scripts.

As that's not needed anymore, the dependency is moot. Thx for spotting that. ;)

Closing bug, icecast is uploaded and sucessfully built.

FYI: It does build on x86. ;)
Comment 6 Paul Howarth 2006-02-16 02:50:31 EST
(In reply to comment #4)
> rpmlint's only complaint:
> W: icecast strange-permission icecast.init 0755
> 
> But init scripts need to be executable, so rpmlint is retarded

Actually it's not retarded. It's complaining about the permissions of
icecast.init in the SRPM, and it doesn't need to be executable there because the
initscript is installed with the correct permissions regardless of the
permissions in the SRPM:

install -D -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/icecast
Comment 7 Paul Howarth 2006-02-16 02:56:53 EST
(In reply to comment #4)
> IMO, APPROVED!

Please change the blocker bug from FE-NEW or FE-REVIEW to FE-ACCEPT when
approving a package. Otherwise you'll get a special mention at
http://fedoraproject.org/wiki/Extras/PackageStatus ;-)
Comment 8 Brandon Holbrook 2006-02-16 09:32:56 EST
I'll be sure to do that in the future:

#1 - This was my first review, so the "APPROVED" was more of a personal
suggestion than a final approval, and I didn't know if a plain-ol' reviewer
could change it to accept or if a sponsor had to do that
#2 - I assumed I didn't have the appropriate bugzilla permissions
Comment 9 Andreas Thienemann 2006-02-16 09:44:05 EST
(In reply to comment #8)

> #1 - This was my first review, so the "APPROVED" was more of a personal
> suggestion than a final approval, and I didn't know if a plain-ol' reviewer
> could change it to accept or if a sponsor had to do that
Whoapsi.
The review guidelines at
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines state:
"A Reviewer is defined as the person who chooses to review a package. For the
sake of clarity, one person takes ownership of the review. Other people are
encouraged to comment on the review as well, either in the bug or on the mailing
list. The primary Reviewer can be any current package owner, unless the
Contributor is a first timer."

Thus in general, any FE-contributor can review packages.

> #2 - I assumed I didn't have the appropriate bugzilla permissions
You do not need special permissions for that. It's just a regular tracker,
everyone can change that.

regards,
 andreas
Comment 10 Björn "besser82" Esser 2014-12-04 16:44:33 EST
I want to build to epel7.

#####

Package Change Request
======================
Package Name: icecast
New Branches: epel7
Owners: besser82 ixs
InitialCC: ppisar
Comment 11 Kevin Fenzi 2014-12-04 16:58:12 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.